Opened 8 years ago

Closed 7 years ago

#38788 closed defect (fixed)

Do s3cmd and rdiff-backup really need to be restricted to python26?

Reported by: weasel@… Owned by: petrrr
Priority: Normal Milestone:
Component: ports Version: 2.1.3
Keywords: Cc: cooljeanius (Eric Gallager), alpha@…, petrrr
Port: rdiff-backup

Description

Is there any particular reason why s3cmd and rdiff-backup still depend on python26 and py26-xattr, respectively?

Change History (14)

comment:1 Changed 8 years ago by cooljeanius (Eric Gallager)

Cc: egall@… added

Cc Me!

comment:2 Changed 8 years ago by larryv (Lawrence Velázquez)

Cc: alpha@… perry@… added

comment:3 Changed 8 years ago by mf2k (Frank Schima)

This port, like all ports that depend on python, should provide pythonXY variants and switch the default to match the Macports default python, which is currently python 2.7.

Last edited 8 years ago by mf2k (Frank Schima) (previous) (diff)

comment:4 Changed 7 years ago by ryandesign (Ryan Schmidt)

A patch to make s3cmd use python27 instead of python26 was submitted in #41765.

comment:5 Changed 7 years ago by mf2k (Frank Schima)

Cc: perry@… removed
Owner: changed from macports-tickets@… to perry@…

comment:6 Changed 7 years ago by petrrr

Cc: petr@… added

Cc Me!

comment:7 Changed 7 years ago by petrrr

Perry, what about this port. You are still listed as maintainer. You want to keep this?

comment:8 Changed 7 years ago by petrrr

Sorry the last comment is incomplete. I was am refering to rdiff-backup.

comment:9 Changed 7 years ago by lperry (Perry Lee)

Sorry, I've been swamped with work again. I'll go ahead and mark these nomaintainer and then if they're still unclaimed when I'm free again I can resume updates.

comment:10 Changed 7 years ago by petrrr

Owner: perry@… deleted

No problem, just was looking through some tickets and wanted to understand the status.

comment:11 Changed 7 years ago by mf2k (Frank Schima)

Owner: set to macports-tickets@…

comment:12 Changed 7 years ago by petrrr

Changeset r126598 modifies rdiff-backup to use Python 2.7 instead of Python 2.6, and thereby resolves this ticket.

comment:13 Changed 7 years ago by petrrr

Owner: changed from macports-tickets@… to petr@…
Status: newassigned

comment:14 Changed 7 years ago by petrrr

Resolution: fixed
Status: assignedclosed
Note: See TracTickets for help on using tickets.